ConsumerWrapper Class Reference
Inheritance diagram for ConsumerWrapper:

## Protected Member Functions

| ConsumerWrapper (size_t varCount)
virtual | ~ConsumerWrapper ()
void | setTerm (const Term &term, const TermTranslator &translator)
void | setTerm (const vector< mpz_class > &term)

## Protected Attributes

size_t | _varCount
mpz_ptr * | _term

## Detailed Description

Definition at line 38 of file frobby.cpp.

## Constructor & Destructor Documentation

## ConsumerWrapper()

ConsumerWrapper::ConsumerWrapper | ( | size_t | varCount | ) |

inline protected

Definition at line 40 of file frobby.cpp.

## ~ConsumerWrapper()

virtual ConsumerWrapper::~ConsumerWrapper | ( |  | ) |

inline protected virtual

Definition at line 45 of file frobby.cpp.

## Member Function Documentation

## setTerm() [1/2]

void ConsumerWrapper::setTerm | ( | const Term & | term,
|  | const TermTranslator & | translator )

inline protected

Definition at line 49 of file frobby.cpp.

## setTerm() [2/2]

void ConsumerWrapper::setTerm | ( | const vector< mpz_class > & | term | ) |

inline protected

Definition at line 58 of file frobby.cpp.

## Member Data Documentation

## _term

mpz_ptr* ConsumerWrapper::_term

protected

Definition at line 66 of file frobby.cpp.

## _varCount

size_t ConsumerWrapper::_varCount

protected

Definition at line 65 of file frobby.cpp.

The documentation for this class was generated from the following file:

- src/frobby.cpp